Skip to main content
GET
/
live-tail
Poll a live tail job
curl --request GET \
  --url https://api.eu.bronto.io/live-tail \
  --header 'X-BRONTO-API-KEY: <api-key>'
{
  "logs": [
    {
      "events": [
        {
          "@raw": "10.0.108.203 - - [27/May/2024:23:47:27 +0000] \"GET / HTTP/1.1\" 200 675 \"-\" \"ELB-HealthChecker/2.0\"",
          "@time": "2024-05-27 23:26:34.331 UTC",
          "@status": "info",
          "message_kvs": {
            "method": "GET",
            "status_code": "200",
            "path": "/"
          },
          "attributes": {
            "$private_ip": "10.0.22.230",
            "$environment": "production"
          },
          "metadata": {
            "service_id": "23746675-7022-4985-bd74-4af9eba58d72",
            "timestamp": 1716853347801,
            "sequence": 111721913,
            "context": "\"https://api.eu.bronto.io/context?sequence=213&from=37bdf479-7c95-4e81-982a-25d0680fb602&timestamp=1716853354331&direction=both\"\n"
          },
          "links": [
            {
              "rel": "context",
              "href": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72&timestamp=1711535140632&direction=both"
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.bronto.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-BRONTO-API-KEY
string
header
required

Query Parameters

job_id
string
required

ID of live tail job to poll

limit
integer

Maximum number of log entries to return

Required range: 1 <= x <= 1000
most_recent_first
boolean
default:true

Order response events chronologically, ascending (false) or descending (true)

Response

A list of log entries

logs
object[]